#             Perforce Defect Tracking Integration Project
#              <http://www.ravenbrook.com/project/p4dti/>
#
#    SHELL.PY -- DEBUGGING SHELL FOR PYTHON INTERFACE TO TEAMTRACK
#
#             Gareth Rees, Ravenbrook Limited, 2000-08-07
#
#
# 1. INTRODUCTION
#
# This script is a Python shell that can be run from the Microsoft
# Visual C++ development environment on Windows (on Ravenbrook's
# development machines) in order to debug the Python interface to
# TeamTrack.
#
# It runs IDLE (a Python GUI) with paths set up so that the Python
# interface to TeamTrack and other P4DTI components can be imported.
#
# It assumes the following:
#
#   1. IDLE is in the directory Program Files\Python20\Tools\idle\ on
#      drive C or drive D.
#
#   2. The script is being run from the development directory for the
#      interface (...\code\python-teamtrack-interface\) so P4DTI modules
#      can be found in the directory ..\replicator.
#
# The intended readership is project developers and testers.
#
# This document is not confidential.

import sys
sys.path.extend(['..\\build\\debug',
                 '..\\replicator',
                 'c:\\Program Files\\Python20\\Tools\\idle',
                 'd:\\Program Files\\Python20\\Tools\\idle'])
import idle


# A. REFERENCES
#
#
# B. DOCUMENT HISTORY
#
# 2000-08-07 GDR Created.
#
# 2000-08-08 GDR Look for Python tools on D: as well as C:.
#
# 2001-02-01 GDR Updated for Python 2.0.
#
# 2001-03-02 RB Transferred copyright to Perforce under their license.
#
# 2001-11-26 GDR Formatted as a document.
#
#
# C. COPYRIGHT AND LICENCE
#
# This file is copyright (c) 2001 Perforce Software, Inc.  All rights
# reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1.  Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
# 2.  Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in
#     the documentation and/or other materials provided with the
#     distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
# OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
# TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
# USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
# DAMAGE.
#
#
# $Id: //info.ravenbrook.com/project/p4dti/version/1.5/code/python-teamtrack-interface/shell.py#1 $
