// DisableSTLUsageWarnings.h
// (NOT TO BE CONFUSED WITH DisableSTLWarnings.h)
//
// INCLUDE THIS FILE to disable annoying warnings often generated when
// *using* STL objects in your code.
//
// DisableSTLUsageWarnings.h vs. DisableSTLWarnings.h:
// ----
//   DisableSTLUsageWarnings.h  (** this file **)
//     Turns off warnings while compiling your code, *after* including
//     STL headers.
//   DisableSTLWarnings.h
//     Turns off warnings *while* including STL headers.  These warnings
//     are to be reenabled before compiling your code, using push/pop
//     #pragmas.
//
//
// HOW TO USE THIS FILE
//
// ... Top of your file ...
//
// #pragma warning( push, 1 )
// #include "DisableSTLWarnings.h"
// ... Include troublesome STL headers here ...
// #pragma warning( pop )
// #include "DisableSTLUsageWarnings.h"
//
// ... Include other files here ...
//
// ... Rest of your file ...


#pragma warning( disable: 4097 )  // typedef as synonym for class name
#pragma warning( disable: 4786 )  // long templated symbol names
