#             Perforce Defect Tracking Integration Project
#              <http://www.ravenbrook.com/project/p4dti/>
#
#    CONFIG_SANDPIPER.PY -- CONFIGURATION FOR TESTING ON SANDPIPER
#
#           Richard Brooksby, Ravenbrook Limited, 2000-12-08
#
#
# 1. INTRODUCTION
#
# This is a configuration script for the TeamTrack Integration on
# sandpiper.ravenbrook.com.  See [RB 2000-08-10] for definition of the
# configuration parameters.
#
# The intended readership is project testers.
#
# This document is not confidential.

import message


# 2. ESSENTIAL CONFIGURATION PARAMETERS

dt_name = "TeamTrack"
administrator_address = 'gdr+admin@ravenbrook.com'
p4_port = 'sandpiper.ravenbrook.com:1666'
p4_user = 'replicator'
p4_password = 'foo'
replicator_address = 'p4dti-replicator0@ravenbrook.com'
smtp_server = 'smtp.ravenbrook.com'
start_date = '2001-02-01 00:00:00'


# 3. TEAMTRACK CONFIGURATION PARAMETERS

teamtrack_version = "5.5"
closed_state = 'Resolved'
replicated_fields = ["DESCRIPTION", "PRIORITY", "SEVERITY", "HOWFOUND",
                     "VERSION", "RESOLUTION", "ADDITIONALNOTES",
                     "ESTTIMETOFIX", "ACTTIMETOFIX", "CLOSEDATE",
                     "BINARY", "INTEGER", "FLOATING_POINT",
                     "FIXED_POINT", "SINGLE_LINE"]
teamtrack_server = 'sandpiper'
teamtrack_user = 'P4DTI-replicator0'
teamtrack_password = ''
use_windows_event_log = 1
use_perforce_jobnames = 1


# 4. OTHER CONFIGURATION PARAMETERS

rid = 'replicator0'
sid = 'perforce0'
changelist_url = "http://sandpiper.ravenbrook.com:8080/%d?ac=10"
job_url = None
log_file = None
log_level = message.INFO
p4_client_executable = 'C:\\Program Files\\Perforce\\p4.exe'
p4_server_description = 'Perforce server on ' + p4_port
poll_period = 10
def replicate_p(self):
    return 1


# 5. CONFIGURATION PARAMETERS FOR THE TEST SUITE

p4_license_file = 'C:\\Program Files\\Perforce\\license'
p4_server_executable = 'C:\\Program Files\\Perforce\\p4d.exe'


# A. REFERENCES
#
# [RB 2000-08-10] "Perforce Defect Tracking Integration Administrator's
# Guide"; Richard Brooksby; Ravenbrook Limited; 2000-08-10;
# <http://www.ravenbrook.com/project/p4dti/version/1.5/manual/ag/>.
#
#
# B. DOCUMENT HISTORY
#
# 2001-12-04 GDR Removed comments.
#
#
# C. COPYRIGHT AND LICENCE
#
# This file is copyright (c) 2001 Perforce Software, Inc.  All rights
# reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1.  Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
# 2.  Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in
#     the documentation and/or other materials provided with the
#     distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
# OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
# TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
# USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
# DAMAGE.
#
#
# $Id: //info.ravenbrook.com/project/p4dti/version/1.5/test/config_sandpiper.py#4 $
